commit fc45786608d2a765f2c8a8d6cb857b8d70b0327d
Author: Mathieu Schiano <mathieu.schianodischiabica@centrale-marseille.fr>
Date:   Sun Jan 24 19:00:51 2016 +0100

    Update rubik 4.2 -> 4.3

diff --git a/drupal7/sites/all/themes/rubik/js/rubik.js b/drupal7/sites/all/themes/rubik/js/rubik.js
index 279bbd5e..9d4978f7 100644
--- a/drupal7/sites/all/themes/rubik/js/rubik.js
+++ b/drupal7/sites/all/themes/rubik/js/rubik.js
@@ -9,7 +9,7 @@ Drupal.behaviors.rubik.attach = function(context, settings) {
   $('div.form:has(div.column-main div.form-actions):not(.rubik-processed)', context).each(function() {
     var form = $(this);
     var offset = $('div.column-side div.form-actions', form).height() + $('div.column-side div.form-actions', form).offset().top;
-    $(window).scroll(function () {
+    $(window).scroll(function() {
       if ($(this).scrollTop() > offset) {
         $('div.column-main .column-wrapper > div.form-actions#edit-actions', form).show();
       }
@@ -50,33 +50,81 @@ Drupal.behaviors.rubik.attach = function(context, settings) {
     $(this).parents('.secondary-tabs').toggleClass('focused');
   });
 
-  // Sticky sidebar
-  // Disable this functionality if the user chooses.
-  var disableSticky = settings.rubik.disable_sticky;
-  if ($('#content .column-side .column-wrapper').length !== 0 && !disableSticky) {
-    var rubikColumn = $('#content .column-side .column-wrapper', context);
-    if(rubikColumn && rubikColumn.offset()){
+  // Sticky sidebar functionality.
+  var disableSticky = (settings.rubik !== undefined) ? settings.rubik.disable_sticky : false;
+  if ($('#content .column-side .column-wrapper').length !== 0 ) {
+
+    // Move fields to sidebar if it exists.
+    $('.rubik_sidebar_field', context).once('rubik', function() {
+      $('.column-side .column-wrapper').append($(this));
+    });
+
+    // Check if the sidebar should be made sticky.
+    if (!disableSticky) {
+      var rubikColumn = $('#content .column-side .column-wrapper', context);
+      if (rubikColumn && rubikColumn.offset()) {
         var rubikStickySidebar = rubikColumn.offset().top;
-        $(window).scroll(function(){
-          if( $(window).scrollTop() > rubikStickySidebar ) {
+        $(window).scroll(function() {
+          if ($(window).scrollTop() > rubikStickySidebar) {
             rubikColumn.each(function() {
               $(this).addClass("fixed");
               $(this).width($(this).parent().width());
             });
-          } else {
+          }
+          else {
             rubikColumn.each(function() {
               $(this).removeClass("fixed");
               $(this).width($(this).parent().width());
             });
           }
         });
+      }
     }
 
-    // Move fields to sidebar.
-    $('.rubik_sidebar_field', context).once('rubik', function() {
-      $('.column-side .column-wrapper').append($(this));
-    });
   }
   
+  // Cache the primary tabs.
+  var $primaryTabsWrap = $('.primary-tabs');
+  if ($primaryTabsWrap.length) {
+    var $primaryTabs = $primaryTabsWrap.find('> li');
+    // Trigger adjusting function upon first page load.
+    adjustPrimaryTabs();
+    // Trigger adjusting function upon any screen resizing.
+    $(window).resize(function() {
+      adjustPrimaryTabs();
+    });
+  }
+
+  function adjustPrimaryTabs() {
+    // Get the position of whole element.
+    var parentPosition = $primaryTabs.offset().top;
+    // Complicated count.
+    var count = [];
+    var rowNumber = 1;
+    // Remove remainings of other classes we attached.
+    $primaryTabs.removeClass('last-row-link');
+    $primaryTabs.removeClass('first-row-link');
+    // Loop through and compare the position of each tab.
+    $primaryTabs.each(function(index) {
+      var $this = $(this);
+      // New row.
+      if (count[rowNumber] != $this.offset().top) {
+        // Increase the count for this row.
+        rowNumber++;
+        count[rowNumber] = $this.offset().top;
+        // Add "first" class to this element.
+        $this.addClass('first-row-link');
+        // Add "last" class to the previous element, if there is one.
+        if ($this.prev('li').length) {
+          $this.prev('li').addClass('last-row-link');
+        }
+      }
+      // Add "last" class if this is the last element.
+      if (index === ($primaryTabs.length - 1)) {
+        $this.addClass('last-row-link');
+      }
+    });
+  }
+
 };
 })(jQuery);
diff --git a/drupal7/sites/all/themes/rubik/rubik.info b/drupal7/sites/all/themes/rubik/rubik.info
index e33db8af..81414388 100644
--- a/drupal7/sites/all/themes/rubik/rubik.info
+++ b/drupal7/sites/all/themes/rubik/rubik.info
@@ -10,11 +10,11 @@ regions[page_top] = Page top
 regions[page_bottom] = Page bottom
 
 scripts[] = js/rubik.js
-stylesheets[screen][] = core.css
-stylesheets[screen][] = icons.css
-stylesheets[screen][] = style.css
-stylesheets[screen][] = jquery.ui.theme.css
-stylesheets[print][] = print.css
+stylesheets[screen][] = css/core.css
+stylesheets[screen][] = css/icons.css
+stylesheets[screen][] = css/style.css
+stylesheets[screen][] = css/jquery.ui.theme.css
+stylesheets[print][] = css/print.css
 
 ; Support shortcut module links
 settings[shortcut_module_link] = 1
@@ -33,9 +33,9 @@ settings[rubik_show_branding] = 1
 ; is displayed at the top of the page, in #branding section.
 features[] = secondary_menu
 
-; Information added by Drupal.org packaging script on 2015-01-22
-version = "7.x-4.2"
+; Information added by Drupal.org packaging script on 2015-10-24
+version = "7.x-4.3"
 core = "7.x"
 project = "rubik"
-datestamp = "1421901484"
+datestamp = "1445682840"
 
diff --git a/drupal7/sites/all/themes/rubik/template.php b/drupal7/sites/all/themes/rubik/template.php
index 4c62d6f7..751aa7f0 100644
--- a/drupal7/sites/all/themes/rubik/template.php
+++ b/drupal7/sites/all/themes/rubik/template.php
@@ -8,7 +8,7 @@ function rubik_preprocess_html(&$vars) {
   }
 
    // add in a specific stylesheet for overrides in IE7. (BLAH)
-  drupal_add_css(drupal_get_path('theme', 'rubik') . '/ie.css', array(
+  drupal_add_css(drupal_get_path('theme', 'rubik') . '/css/ie.css', array(
     'browsers' => array(
       '!IE' => FALSE,
     ),
@@ -17,6 +17,9 @@ function rubik_preprocess_html(&$vars) {
     'every_page' => TRUE,
   ));
 
+  // Disable sticky in the sidebar. Set option in JS
+  $disable_sticky = theme_get_setting('rubik_disable_sticky_sidebar');
+  drupal_add_js(array('rubik' => array('disable_sticky' => $disable_sticky)), array('type' => 'setting'));
 }
 
 /**
@@ -25,10 +28,10 @@ function rubik_preprocess_html(&$vars) {
  */
 function rubik_css_alter(&$css) {
   if (isset($css['modules/overlay/overlay-child.css'])) {
-    $css['modules/overlay/overlay-child.css']['data'] = drupal_get_path('theme', 'rubik') . '/overlay-child.css';
+    $css['modules/overlay/overlay-child.css']['data'] = drupal_get_path('theme', 'rubik') . '/css/overlay-child.css';
   }
   if (isset($css['modules/shortcut/shortcut.css'])) {
-    $css['modules/shortcut/shortcut.css']['data'] = drupal_get_path('theme', 'rubik') . '/shortcut.css';
+    $css['modules/shortcut/shortcut.css']['data'] = drupal_get_path('theme', 'rubik') . '/css/shortcut.css';
   }
 }
 
@@ -140,11 +143,6 @@ function rubik_preprocess_page(&$vars) {
 
   // Overlay is enabled.
   $vars['overlay'] = (module_exists('overlay') && overlay_get_mode() === 'child');
-
-  // Disable sticky in the sidebar. Set option in JS
-  $disable_sticky = theme_get_setting('rubik_disable_sticky_sidebar');
-  drupal_add_js(array('rubik' => array('disable_sticky' => $disable_sticky)), array('type' => 'setting'));
-
 }
 
 /**
@@ -499,7 +497,8 @@ function rubik_admin_drilldown_menu_item_link($link) {
  */
 function rubik_preprocess_textfield(&$vars) {
   if ($vars['element']['#size'] >= 30 && empty($vars['element']['#field_prefix']) && empty($vars['element']['#field_suffix'])) {
-    $vars['element']['#size'] = '';
+    // Set text field to default size.
+    $vars['element']['#size'] = 20;
     if (!isset($vars['element']['#attributes']['class'])
       || !is_array($vars['element']['#attributes']['class'])) {
        $vars['element']['#attributes']['class'] = array();
